curl --request GET \
--url https://api.messaging.phonovation.com/sms/1/text/query \
--header 'Authorization: <api-key>'import requests
url = "https://api.messaging.phonovation.com/sms/1/text/query"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/sms/1/text/query");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.messaging.phonovation.com/sms/1/text/query")
.header("Authorization", "<api-key>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/sms/1/text/query",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.messaging.phonovation.com/sms/1/text/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"bulkId": "2034072219640523072",
"messages": [
{
"messageId": "2250be2d4219-3af1-78856-aabe-1362af1edfd2",
"status": {
"description": "Message sent to next instance",
"groupId": 1,
"groupName": "PENDING",
"id": 26,
"name": "PENDING_ENROUTE"
},
"to": "353861234579",
"smsCount": 1
}
]
}Send SMS message over query parameters
curl --request GET \
--url https://api.messaging.phonovation.com/sms/1/text/query \
--header 'Authorization: <api-key>'import requests
url = "https://api.messaging.phonovation.com/sms/1/text/query"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/sms/1/text/query");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.messaging.phonovation.com/sms/1/text/query")
.header("Authorization", "<api-key>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/sms/1/text/query",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.messaging.phonovation.com/sms/1/text/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"bulkId": "2034072219640523072",
"messages": [
{
"messageId": "2250be2d4219-3af1-78856-aabe-1362af1edfd2",
"status": {
"description": "Message sent to next instance",
"groupId": 1,
"groupName": "PENDING",
"id": 26,
"name": "PENDING_ENROUTE"
},
"to": "353861234579",
"smsCount": 1
}
]
}Authorizations
This is the most secure authorization type and the one with the most flexibility.
API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.
You can manage your API keys from GUI, or programmatically with dedicated API.
API key Authorization header example:
Authorization: App 003026bbc133714df1834b8638bb496e-8f4b3d9a-e931-478d-a994-28a725159ab9
Query Parameters
Username for authentication.
Password for authentication.
Unique ID assigned to the request if messaging multiple recipients or sending multiple messages via a single API request. Anything above 100 characters passed in the request will be clipped during processing and returned in response, reports and logs.
The sender ID which can be alphanumeric or numeric (e.g., CompanyName).
List of message recipients.
Content of the message being sent.
Conversion of a message text from one script to another.
Code for language character set of a message content.
Use a real-time intermediate delivery report that will be sent on your callback server.
The URL on your call back server on to which a delivery report will be sent.
Preferred delivery report content type, application/json or application/xml.
Additional data that can be used for identifying, managing, or monitoring a message. Data included here will also be automatically included in the message Delivery Report. The maximum value is 4000 characters.
4000The message validity period in minutes. When the period expires, it will not be allowed for the message to be sent. Validity period longer than 48h is not supported. Any bigger value will automatically default back to 2880.
Date and time when the message is to be sent. Used for scheduled SMS. Has the following format: yyyy-MM-dd'T'HH:mm:ss.SSSZ. Must be sooner than 180 days from now.
Sets the conversion element to be tracked. Possible values: SMS and URL. For more details on SMS Conversion, see: Track Conversion.
The process key which uniquely identifies conversion tracking.
Sets a custom conversion type naming convention, e.g. ONE_TIME_PIN, SOCIAL_INVITES, etc.
The ID of your registered DLT (Distributed Ledger Technology) content template.
Your DLT (Distributed Ledger Technology) entity id.
Your assigned Telemarketer ID. (required for Aggregators)
Brand code is an ID of the company based on a company VAT number. If not provided in request, default value is used from your Phonovation account.
Recipient Type must be TACIR or BIREYSEL
Reseller identification code: 9-digit registration number in the business registration certificate for South Korea. Resellers should submit this when sending.
Response
Successful response